import { Data } from "../Data";
import { IToyItemData } from "./IToyItemData";

/**
 * 道具展示接口
 */
export class GetToysData extends Data {
    /**
     * 道具列表
     */
    public list: IToyItemData[];

    public update(result: any): void {
        if (!result) {
            return;
        }
        super.update(result);
        this.list = result.data;
    }
}